net.dontdrinkandroot.wicket.bootstrap.component.button

## Class AbstractSubmitButtonLink<T>

- java.lang.Object
- - org.apache.wicket.Component
  - - org.apache.wicket.MarkupContainer
    - - org.apache.wicket.markup.html.WebMarkupContainer
      - - net.dontdrinkandroot.wicket.component.TypedWebMarkupContainer<T>
        - - net.dontdrinkandroot.wicket.bootstrap.component.button.AbstractButtonLink<T>
          - - net.dontdrinkandroot.wicket.bootstrap.component.button.AbstractSubmitButtonLink<T>

All Implemented Interfaces:
  Serializable, Iterable<org.apache.wicket.Component>, org.apache.wicket.event.IEventSink, org.apache.wicket.event.IEventSource, org.apache.wicket.IConverterLocator, org.apache.wicket.markup.html.form.IFormSubmitter, org.apache.wicket.markup.html.form.IFormSubmittingComponent, org.apache.wicket.markup.html.IHeaderContributor, org.apache.wicket.request.component.IRequestableComponent, org.apache.wicket.util.IHierarchical<org.apache.wicket.Component>, org.apache.wicket.util.io.IClusterable

Direct Known Subclasses:
  AjaxSubmitButtonLink, SubmitButtonLink

    public abstract class AbstractSubmitButtonLink<T>
    extends AbstractButtonLink<T>
    implements org.apache.wicket.markup.html.form.IFormSubmittingComponent

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.wicket.Component

`ENABLE, FLAG_INITIALIZED, FLAG_REMOVING_FROM_HIERARCHY, FLAG_RESERVED1, FLAG_RESERVED2, FLAG_RESERVED3, FLAG_RESERVED4, FLAG_RESERVED5, FLAG_RESERVED8, PARENT_PATH, PATH_SEPARATOR, RENDER`

### Constructor Summary

Constructors
Constructor and Description
`AbstractSubmitButtonLink(String id)`
`AbstractSubmitButtonLink(String id, org.apache.wicket.markup.html.form.Form<?> form)`
`AbstractSubmitButtonLink(String id, org.apache.wicket.model.IModel<T> model)`
`AbstractSubmitButtonLink(String id, org.apache.wicket.model.IModel<T> model, org.apache.wicket.markup.html.form.Form<?> form)`
`AbstractSubmitButtonLink(String id, org.apache.wicket.model.IModel<T> model, org.apache.wicket.model.IModel<String> labelModel)`
`AbstractSubmitButtonLink(String id, org.apache.wicket.model.IModel<T> model, org.apache.wicket.model.IModel<String> labelModel, org.apache.wicket.markup.html.form.Form<?> form)`

### Method Summary

Methods
`boolean` `getDefaultFormProcessing()`
`org.apache.wicket.markup.html.form.Form<?>` `getForm()`
`String` `getInputName()`
`AbstractSubmitButtonLink<T>` `setDefaultFormProcessing(boolean defaultFormProcessing)` Sets the defaultFormProcessing property.

### Methods inherited from class net.dontdrinkandroot.wicket.bootstrap.component.button.AbstractButtonLink

`disableLink, getButtonSizeModel, getButtonStyleModel, isLinkEnabled, onComponentTag, onComponentTagBody, onInitialize, setButtonSize, setButtonStyle`

### Methods inherited from class net.dontdrinkandroot.wicket.component.TypedWebMarkupContainer

`getModel, getModelObject, setModel, setModelObject`

### Methods inherited from class org.apache.wicket.markup.html.WebMarkupContainer

`getWebPage, getWebRequest, getWebResponse, getWebSession`

### Methods inherited from class org.apache.wicket.MarkupContainer

`add, addOrReplace, autoAdd, contains, get, get, getAssociatedMarkup, getAssociatedMarkupStream, getMarkup, getMarkupType, internalAdd, internalInitialize, iterator, iterator, onAfterRenderChildren, onRender, remove, remove, removeAll, renderAll, renderAssociatedMarkup, renderNext, replace, setDefaultModel, size, swap, toString, toString, visitChildren, visitChildren, visitChildren, visitChildren`

### Methods inherited from class org.apache.wicket.Component

`add, addStateChange, afterRender, beforeRender, canCallListenerInterface, checkComponentTag, checkComponentTagAttribute, checkHierarchyChange, clearOriginalDestination, configure, continueToOriginalDestination, debug, detach, detachModel, detachModels, determineVisibility, error, exceptionMessage, fatal, findMarkupStream, findPage, findParent, findParentWithAssociatedMarkup, getAjaxRegionMarkupId, getApplication, getBehaviorById, getBehaviorId, getBehaviors, getBehaviors, getClassRelativePath, getConverter, getDefaultModel, getDefaultModelObject, getDefaultModelObjectAsString, getDefaultModelObjectAsString, getEscapeModelStrings, getFeedbackMessages, getFlag, getId, getInnermostModel, getInnermostModel, getLocale, getLocalizer, getMarkup, getMarkupAttributes, getMarkupId, getMarkupId, getMarkupIdFromMarkup, getMarkupIdImpl, getMarkupSourcingStrategy, getMetaData, getModelComparator, getOutputMarkupId, getOutputMarkupPlaceholderTag, getPage, getPageRelativePath, getParent, getPath, getRenderBodyOnly, getRequest, getRequestCycle, getRequestFlag, getResponse, getSession, getSizeInBytes, getStatelessHint, getString, getString, getString, getStyle, getVariation, hasBeenRendered, hasErrorMessage, hasFeedbackMessage, info, initModel, internalOnModelChanged, internalPrepareForRender, internalRenderComponent, isActionAuthorized, isAuto, isBehaviorAccepted, isEnableAllowed, isEnabled, isEnabledInHierarchy, isIgnoreAttributeModifier, isRenderAllowed, isStateless, isVersioned, isVisibilityAllowed, isVisible, isVisibleInHierarchy, markRendering, modelChanged, modelChanging, newMarkupSourcingStrategy, onAfterRender, onBeforeRender, onConfigure, onDetach, onEvent, onModelChanged, onModelChanging, onRemove, prepareForRender, redirectToInterceptPage, remove, remove, render, renderComponentTag, rendered, renderHead, renderHead, renderHead, renderPlaceholderTag, replaceComponentTagBody, replaceWith, sameInnermostModel, sameInnermostModel, send, setAuto, setDefaultModelObject, setEnabled, setEscapeModelStrings, setFlag, setIgnoreAttributeModifier, setMarkup, setMarkupId, setMarkupIdImpl, setMetaData, setOutputMarkupId, setOutputMarkupPlaceholderTag, setParent, setRenderBodyOnly, setRequestFlag, setResponsePage, setResponsePage, setResponsePage, setVersioned, setVisibilityAllowed, setVisible, success, urlFor, urlFor, urlFor, urlFor, urlFor, visitParents, visitParents, warn, wrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.wicket.markup.html.form.IFormSubmitter

`onAfterSubmit, onError, onSubmit`

### Constructor Detail

#### AbstractSubmitButtonLink

    public AbstractSubmitButtonLink(String id)

#### AbstractSubmitButtonLink

    public AbstractSubmitButtonLink(String id,
                            org.apache.wicket.markup.html.form.Form<?> form)

#### AbstractSubmitButtonLink

    public AbstractSubmitButtonLink(String id,
                            org.apache.wicket.model.IModel<T> model)

#### AbstractSubmitButtonLink

    public AbstractSubmitButtonLink(String id,
                            org.apache.wicket.model.IModel<T> model,
                            org.apache.wicket.model.IModel<String> labelModel)

#### AbstractSubmitButtonLink

    public AbstractSubmitButtonLink(String id,
                            org.apache.wicket.model.IModel<T> model,
                            org.apache.wicket.markup.html.form.Form<?> form)

#### AbstractSubmitButtonLink

    public AbstractSubmitButtonLink(String id,
                            org.apache.wicket.model.IModel<T> model,
                            org.apache.wicket.model.IModel<String> labelModel,
                            org.apache.wicket.markup.html.form.Form<?> form)

### Method Detail

#### setDefaultFormProcessing

    public final AbstractSubmitButtonLink<T> setDefaultFormProcessing(boolean defaultFormProcessing)

Sets the defaultFormProcessing property. When false (default is true), all validation and form updating is bypassed and the onSubmit method of that button is called directly, and the onSubmit method of the parent form is not called. A common use for this is to create a cancel button. TODO: This is a copy & paste from Button

Specified by:
  `setDefaultFormProcessing` in interface `org.apache.wicket.markup.html.form.IFormSubmittingComponent`
Parameters:
  `defaultFormProcessing` - defaultFormProcessing
Returns:
  This

#### getDefaultFormProcessing

    public boolean getDefaultFormProcessing()

Specified by:
  `getDefaultFormProcessing` in interface `org.apache.wicket.markup.html.form.IFormSubmitter`
See Also:
  `IFormSubmitter.getDefaultFormProcessing()`

#### getForm

    public org.apache.wicket.markup.html.form.Form<?> getForm()

Specified by:
  `getForm` in interface `org.apache.wicket.markup.html.form.IFormSubmitter`
See Also:
  `IFormSubmitter.getForm()`

#### getInputName

    public String getInputName()

Specified by:
  `getInputName` in interface `org.apache.wicket.markup.html.form.IFormSubmittingComponent`
See Also:
  `IFormSubmittingComponent.getInputName()`